SDL_US_TO_NS(3)

NAME
SDL_US_TO_NS - Convert microseconds to nanoseconds.

SYNOPSIS
#include <SDL3/SDL_timer.h>

#define SDL_US_TO_NS(US)        (((Uint64)(US)) * SDL_NS_PER_US)

DESCRIPTION
This only converts whole numbers, not fractional microseconds.

MACRO PARAMETERS

US  the number of microseconds to convert.

RETURN VALUE
Returns US, expressed in nanoseconds.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.